# teader

A feed reader from terminal

```
usage: teader [-h] {init,add,show,list,delete} ...

A Feed Reader From Terminal

optional arguments:
  -h, --help            show this help message and exit

commands:
  {init,add,show,list,delete}
    init                Initialize a list of subscriptions
    add                 Add a new subscription
    show                Show articles
    list                Show a list of subscriptions
    delete              Delete a category or cancel a subscription
```

`$ teader` or `$ teader -h` for detailed usage or `$ teader <COMMANDS> -h` for each commands usage

## Usage

- `$ teader init`: initialize database of subscriptions

- `$ teader add <RSS URL>`: add a subscription

- `$ teader add <RSS URL> -c <CATEGORY>`: add a subscription to `<CATEGORY>`

- `$ teader list`: show a list of subscriptions

- `$ teader show`: show latest all articles

- `$ teader show -c`: show latest articles by category

- `$ teader show -s`: show latest articles by subscription

- `$ teader delete -c`: delete a category

- `$ teader delete -s`: cancel a subscription

## Installation

`$ pip install teader`

## Dependency

- [feedparser](https://github.com/kurtmckee/feedparser) for parsing feeds
