from setuptools import find_packages, setup

with open("README.md", "r") as f:
    long_description = f.read()

setup(
    name="teader",
    version="0.2.5",
    packages=find_packages(),
    author="iurare",
    license="MIT",
    keywords=["cli", "rss", "rss-reader"],
    description="A feed reader from terminal",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/iurare/teader",
    include_package_data=True,
    install_requires=["feedparser"],
    py_modules=["teader"],
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
    ],
    entry_points={"console_scripts": ["teader = teader:cli"]},
)
